services:
    privatebin:
        labels:
        - "traefik.enable=true"
        ## HTTP Routers
        - "traefik.http.routers.${PRIVATEBIN_HOSTNAME}-rtr.entrypoints=https"
        - "traefik.http.routers.${PRIVATEBIN_HOSTNAME}-rtr.rule=Host(`${PRIVATEBIN_HOSTNAME}.$DOMAINNAME1`)"
        ## Middlewares
    #      - "traefik.http.routers.${PRIVATEBIN_HOSTNAME}-rtr.middlewares=chain-authelia@file"
        - "traefik.http.routers.${PRIVATEBIN_HOSTNAME}-rtr.middlewares=chain-no-auth@file"
        ## HTTP Services
        - "traefik.http.routers.${PRIVATEBIN_HOSTNAME}-rtr.service=${PRIVATEBIN_HOSTNAME}-svc"
        - "traefik.http.services.${PRIVATEBIN_HOSTNAME}-svc.loadbalancer.server.port=8080"
        depends_on:
            db:
                condition: service_healthy
        networks:
            - ${PRIVATEBINDB_NETWORk_ID}
    db:
        image: ${PRIVATEBINDB_IMAGE}:${PRIVATEBINDB_TAG}
        container_name: ${PRIVATEBINDB_CONTAINER_NAME}
        restart: ${PRIVATEBINDB_RESTART_POLICY}
        networks:
            - ${PRIVATEBINDB_NETWORk_ID}